﻿-- Author      : Sidrus
-- Create Date : 7/2/2009 11:16:01 PM

function IssueLoan_ResetForm()
    txtBorrowerName:SetText("");
    txtNewLoanNotes:SetText("");
end
function IssueLoan_CloseFrame()
    IssueLoan_ResetForm();
    LO_ToggleFrame("IssueLoanFrame");
    LO_ToggleFrame("MainFrame");
end
function cmdBorrowTgt_OnClick()
    txtBorrowerName:SetText(App:GetTarget());
end
function cmdCreateLoan_OnClick()
    local borrower   = txtBorrowerName:GetText();
    local amount     = MoneyInputFrame_GetCopper(txtAmount);
    local dateIssued = date();
    local notes      = txtNewLoanNotes:GetText();
    local errMsg     = "";
    local hasErrors  = false;

    -- Validate the required fields
    if (borrower=="") then
        hasErrors = true;
        errMsg = errMsg.."\nPlease enter a borrower's name.";
    end
    if (amount<1) then
        hasErrors = true;
        errMsg = errMsg.."\nLoans must be greater than zero copper.";
    end
    if (hasErrors) then
        message(errMsg);
        return;
    end

    -- Passed validation, so save the record
    local loanData = {
        ["borrower"] = borrower,
        ["amount"]   = amount,
        ["date"]     = dateIssued,
        ["notes"]    = notes
    };
    App:CreateLoan(loanData);
    IssueLoan_CloseFrame();
end
function cmdCancelNewLoan_OnClick()
    IssueLoan_CloseFrame();
end
