﻿-- Author      : Sidrus
-- Create Date : 7/3/2009 2:28:15 PM


function PayLoan_ResetForm()
    txtPayerName:SetText("");
    txtPayLoanNotes:SetText("");
end
function PayLoan_CloseFrame()
    PayLoan_ResetForm();
    LO_ToggleFrame("PayLoanFrame");
    LO_ToggleFrame("MainFrame");
end
function cmdCancelPayLoan_OnClick()
    PayLoan_CloseFrame();
end
function cmdPayerTgt_OnClick()    
    txtPayerName:SetText(App:GetTarget());
end
function cmdCreatePayment_OnClick()
    local borrower     = txtPayerName:GetText();
    local amount       = MoneyInputFrame_GetCopper(txtPayAmount);
    local dateReceived = date();
    local notes        = txtPayLoanNotes:GetText();
    local errMsg       = "";
    local hasErrors    = false;

    -- Validate the required fields
    if (borrower=="") then
        hasErrors = true;
        errMsg = errMsg.."\nPlease enter a borrower's name.";
    end
    if (amount<1) then
        hasErrors = true;
        errMsg = errMsg.."\Payments must be greater than zero copper.";
    end
    if (hasErrors) then
        message(errMsg);
        return;
    end

    -- Passed validation, so save the record
    local paymentData = {
        ["borrower"] = borrower,
        ["amount"]   = (amount * -1),
        ["date"]     = dateReceived,
        ["notes"]    = notes
    };
    App:ReceivePayment(paymentData);
    PayLoan_CloseFrame();
end
